namespace inutralia.Views
{
    using inutralia.Views.NutriQuestion;

    using System;
    using Xamarin.Forms;

    public partial class HomeView : ContentPage
    {
        protected RootPage RootPage => Application.Current.MainPage as RootPage;

        public HomeView()
        {
            InitializeComponent();
        }

        void OnTapGestureProfile(object sender, EventArgs args)
        {
            RootPage?.Navigate<ProfileView>();
        }

        void OnTapGestureMenu(object sender, EventArgs args)
        {
            RootPage?.Navigate<CustomMenuView>();
        }

        void OnTapGestureGeneric(object sender, EventArgs args)
        {
            RootPage?.Navigate<GenericListView>();
        }

        void OnTapGestureTrivial(object sender, EventArgs args)
        {
            RootPage?.Navigate<TrivialListView>();
        }

        void OnTapGestureArticle(object sender, EventArgs args)
        {
            RootPage?.Navigate<ArticleListView>();
        }

        void OnTapGestureShoppingList(object sender, EventArgs args)
        {
            RootPage?.Navigate<ShoppingListView>();
        }

        void OnTapGestureRecipe(object sender, EventArgs args)
        {
            RootPage?.Navigate<RecipeListView>();
        }

        void OnTapGestureQuestion(object sender, EventArgs args)
        {
            RootPage?.Navigate<NutriQuestionListView>();
        }
    }
}
